package com.red.circle.other.app.service.sys;


import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.framework.core.dto.AppCommand;
import com.red.circle.other.app.dto.clientobject.sys.AppCountryCodeCO;
import com.red.circle.other.app.dto.clientobject.sys.AppStartPageCO;
import com.red.circle.other.app.dto.clientobject.sys.BannerCO;
import com.red.circle.other.app.dto.clientobject.sys.CountryCodeCO;
import com.red.circle.other.app.dto.clientobject.sys.GameListConfigCO;
import com.red.circle.other.app.dto.clientobject.sys.GameMatchModelConfigGroupCO;
import com.red.circle.other.app.dto.clientobject.sys.NoticeMessageCO;
import com.red.circle.other.app.dto.cmd.game.GameListQryCmd;
import com.red.circle.other.inner.model.dto.user.UserProfileDTO;

import java.util.List;
import java.util.Map;

/**
 * app配置信息.
 *
 * @author pengliang on 2022/6/10
 */
public interface AppConfigService {

    List<GameListConfigCO> listGameConfig(GameListQryCmd cmd);

    GameMatchModelConfigGroupCO getMatchGameConfig(AppExtCommand cmd);

    List<CountryCodeCO> listOpenTopSix();

    List<CountryCodeCO> listOpenCountry();

    AppCountryCodeCO getAppCountryCode();

    UserProfileDTO getCustomerService(AppExtCommand cmd);

    List<BannerCO> listBanner(AppExtCommand cmd, String bannerType);

    List<AppStartPageCO> listAppPageStart(AppExtCommand cmd);

    Map<String, String> listSysEnumConfig(AppCommand cmd);

    List<NoticeMessageCO> listNoticeMessageLastMonth(AppExtCommand cmd);
}
